<?php defined('INC') or die ('Direct access');

$example_version		= '1.0.0';
$example_copyright		= '2007, IncPlugins';
$example_website		= 'http://www.incplugins.com/';
$example_license		= 'http://www.incplugins.com/inc/license.php';

inc_plugin('example');

@include_once $inc_dir.'highlight.php';
// IncPlugins site-related plugins
if (strpos(INC,',text.') === false)
	@include_once $inc_dir.'text.georgia.php';
@include_once $inc_dir.'counter.incplugins.php';
@include_once $inc_dir.'adsense.incplugins.php';

$html_lang = 'en';
$charset = 'iso-8859-1';

function example_head()
{
	global $title, $title_prefix, $example_plugin, $homepage;
	$r = '<div id="example_container">';
	if (function_exists('ad_wide'))
		$r.= ad_wide();
	if ($example_plugin)
	{
		$title_prefix = 'IncPlugins example: ';
		$r.= '<div class="example_title"><a href="./">Examples</a> &raquo; '.$title.'</div>'."\n";
	}
	else
		$r.= '<div class="example_title"><a href="'.$homepage.'">IncPlugins</a> &raquo; '.$title.'</div>'."\n";
	$r.= '<!-- Example begin -->'."\n\n";
	return $r;
}

function example_ob($text)
{
	global $inc_microtime;
	$t = sprintf('%3.2f', inc_microtime() - $inc_microtime);
	return str_replace('<@time@>', $t, $text);
}

function example_foot()
{
	global $example_plugin, $inc_microtime, $ob_on, $example_plugin;
	$r = "\n\n".'<!-- Example end -->'."\n";
	$r.= '<div class="example_foot">';
	if ($example_plugin and ($example_plugin !== 'none'))
		$r.= 'Plugin <a href="'.$GLOBALS[$example_plugin.'_website'].'plugins/'.$example_plugin.'.php">'.$example_plugin.'</a> v.'.$GLOBALS[$example_plugin.'_version'].' | ';
	$r.= '<a href="'.$GLOBALS['inc_website'].'">Inc</a> v.'.$GLOBALS['inc_version'].' | Settings: '.INC.' | ob is ';
	if ($ob_on)
		$r.= 'enabled | Executed in <@time@> s.';
	else
		$r.= ' disabled | Executed in '.sprintf('%3.2f', inc_microtime() - $inc_microtime).' s.';
	if ($example_plugin)
	{
		if (isset($_GET['nosource']))
			$r.= ' | <a href="'.inc_add_to_query('nosource','').'">Show source</a>'."\n";
		else
		{
			$r.= ' | <a href="'.inc_add_to_query('nosource','1').'">Hide source</a><pre>';
			$s = file_get_contents($_SERVER['SCRIPT_FILENAME']);
			if (function_exists('highlight'))
				$r.= highlight($s, 'html');
			else
				$r.= htmlspecialchars($s);
			$r.= '</pre>';
		}
	}
	$r.= '</div>'."\n";
	return $r.'</div>'."\n";
}

function example_css()
{
?>

html, body {
	margin: 0;
	padding: 0;
}

a:link, a:visited {
	color: #2367c0;
	background-color: transparent;
}

#example_container {
	margin: 16px;
	padding: 0;
	text-align: left;
	overflow: hidden;
}

@media screen {

body {
	margin: 0 auto;
	text-align: center;
	color: black;
	background-color: white;
}

#example_container {
	margin: 16px auto;
	padding: 0;
	width: 735px;
	text-align: left;
	color: black;
	background-color: white;
}

}
@media print {
#example_container {
	width: 210mm;
}
}

.example_title {
	color: white;
	background-color: #0d398c;
	font-family: verdana, arial, sans-serif;
	font-size: 10px;
	padding: 4px;
	margin: 0 0 16px 0;
}

.example_title a, .example_title a:visited {
	color: white;
}

.example_foot {
	clear: both;
	color: white;
	background-color: #0d398c;
	font-family: verdana, arial, sans-serif;
	font-size: 10px;
	padding: 4px;
	margin: 16px 0 0 0;
}

.example_foot a, .example_foot a:visited {
	color: white;
}

.example_foot pre {
	border: solid 1px #e0e0e0;
	padding: 4px;
	margin: 4px 0 0 0;
	font-size: 11px;
	color: black;
	background-color: white;
	line-height: 1.1em;
	overflow: auto;
	height: 276px;
	width: auto;
}

pre {
	padding: 4px;
}

pre, tt {
	color: black;
	background-color: #f8f8f8;
	border: solid #d0d0d0;
	border-width: 1px;
}

<?php
}
?>
